> For the complete documentation index, see [llms.txt](https://docs.gravity.xyz/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.gravity.xyz/legacy-alpha-mainnet-l2/token-contracts-on-gravity.md).

# Token Contracts on Gravity Alpha (L2)

Explore a list of available ERC20 tokens on Gravity Alpha Mainnet (L2) Bridge.

{% hint style="danger" %}
**Action required — bridge out before November 1, 2026.** Gravity Alpha Mainnet (L2) is being deprecated and will be unsettled in **December 2026**. Move all assets back to Ethereum before **November 1, 2026** — see [Bridge Assets back to Ethereum](/legacy-alpha-mainnet-l2/bridge-back-to-ethereum.md).

**USDC, USDT and ETH/WETH can only exit via** [**Stargate**](https://stargate.finance/bridge) — they are Stargate-issued tokens and the canonical bridge cannot withdraw them.
{% endhint %}

{% hint style="info" %}
Addresses below are on the legacy **Gravity Alpha Mainnet (L2, chainId `1625`)**. For Gravity Mainnet (L1) token addresses, see [Token Contracts on Gravity](/the-g-token/token-contracts.md).
{% endhint %}

Gravity token list can be found on [**this github repo**](https://github.com/Galxe/gravity-token-list/blob/main/src/tokenlist.json). Submit the request to add yours.

<table><thead><tr><th width="139">Token</th><th width="199">Contract on Gravity</th><th width="202">Contract on Ethereum</th><th>Official Supported Bridge</th></tr></thead><tbody><tr><td>G</td><td>Native Token</td><td>0x9C7BEBa8F6eF6643aBd725e45a4E8387eF260649</td><td><a href="https://app.symbiosis.finance/swap?chainIn=Gravity&#x26;chainOut=Gravity&#x26;tokenIn=0xFbDa5F676cB37624f28265A144A48B0d6e87d3b6&#x26;tokenOut=G">Symbiosis</a></td></tr><tr><td>wG</td><td>0xBB859E225ac8Fb6BE1C7e38D87b767e95Fef0EbD</td><td>N/A</td><td></td></tr><tr><td>WBTC</td><td>0x729ed87bbE7B7e4B7F09BCb9c668580818d98BB9</td><td>0x2260fac5e5542a773aa44fbcfedf7c193bc2c599</td><td><a href="https://bridge.gravity.xyz">Canonical Bridge</a> (Arbitrum Nitro standard ERC20 gateway)</td></tr><tr><td>DAI</td><td>0xBFBBc4dA47508e85AC18DFC961fa182194E85f9a</td><td>0x6B175474E89094C44Da98b954EedeAC495271d0F</td><td><a href="https://bridge.gravity.xyz">Canonical Bridge</a> (Arbitrum Nitro standard ERC20 gateway)</td></tr><tr><td>ETH/WETH</td><td>0xf6f832466Cd6C21967E0D954109403f36Bc8ceaA</td><td>Native Token</td><td><a href="https://stargate.finance/bridge">Stargate V2 Hydra</a></td></tr><tr><td>USDT</td><td>0x816E810f9F787d669FB71932DeabF6c83781Cd48</td><td>0xdac17f958d2ee523a2206206994597c13d831ec7</td><td><a href="https://stargate.finance/bridge">Stargate V2 Hydra</a></td></tr><tr><td>USDC</td><td>0xFbDa5F676cB37624f28265A144A48B0d6e87d3b6</td><td>0xa0b86991c6218b36c1d19d4a2e9eb0ce3606eb48</td><td><a href="https://stargate.finance/bridge">Stargate V2 Hydra</a></td></tr></tbody></table>


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.gravity.xyz/legacy-alpha-mainnet-l2/token-contracts-on-gravity.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
